Bug 246366 - Incompatible change to version_info value
Summary: Incompatible change to version_info value
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: MySQL-python (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-01 02:40 UTC by Malcolm Tredinnick
Modified: 2013-07-03 03:14 UTC (History)
1 user (show)

Fixed In Version: 1.2.2-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-20 19:36:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Malcolm Tredinnick 2007-07-01 02:40:37 UTC
Description of problem:

In the 1.2.2-2 release, as part of fixing #243877, the type of the version_info
value was changed from a tuple to a string. This is incompatible with the
upstream version and breaks any code that is using the version_info tuple to
detect which version of MySQLdb they are running against. Code such as "if
version_info < (1, 2, 1):" now returns True for 1.2.2-2, for example.

MySQLdb.version_info is part of the public API, so please retain compatibility
with other packagers (and upstream).


Version-Release number of selected component (if applicable):

1.2.2-2

Comment 1 Tom Lane 2007-07-03 20:34:55 UTC
Sigh, that was more subtle than it looked.  Try 1.2.2-3

Comment 2 Fedora Update System 2007-07-05 19:11:45 UTC
MySQL-python-1.2.2-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Malcolm Tredinnick 2007-07-06 05:55:59 UTC
Excellent. It works. Thanks for the rapid response, Tom.

Comment 4 Fedora Update System 2007-07-20 19:36:06 UTC
MySQL-python-1.2.2-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.